Subject: Re: [bug#28698] [PATCH] gnu: Enable support for libpurple in bitlbee.

From: [email-masked] (Ludovic Courtès)
Date: Wed, 13 Dec 2017 10:47:30 +0100

Hello,

Oleg Pykhalov <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Tomáš Čech <[email-masked]> skribis:
>>
>>> * gnu/packages/messaging.scm (bitlbee): Add pidgin input, add more configure
>>>   flags.
>>
>> I think it’s a good idea, but it’s taking a lot of extra space:
>>
>> $ guix size bitlbee |tail -1
>> total: 176.5 MiB
>> $ guix size bitlbee pidgin |tail -1
>> total: 668.0 MiB
>>
>> What about adding a “lib” output to Pidgin?  BitlBee would depend on
>> that rather than on the whole Pidgin.
>
> I want a libpurple support in bitlbee, too.  So, here is a libpurple
> output, but still there is a big size because of inputs, I guess.  :-(

Heheh, thanks for looking into it!

> Is there a way to decrease this?

[...]

> +++ b/gnu/packages/messaging.scm
> @@ -338,6 +338,7 @@ authentication.")
>           "1y5p2mq3bfw35b66jsafmbva0w5gg1k99y9z8fyp3jfksqv3agcc"))
>         (patches (search-patches "pidgin-add-search-path.patch"))))
>      (build-system glib-or-gtk-build-system)
> +    (outputs '("out" "libpurple"))

It should be “lib” instead of “libpurple”.  If you do that, perhaps the
‘install-libpurple’ phase is no longer needed because ‘gnu-build-system’
will take care of it.

As for the size, it seems that GTK+ & co. are pulled in.  Is there a way
to avoid it?  Perhaps this comes from the .pc file?

Thanks,
Ludo’.